Re: KOHA灌在Ubuntu 6.10安裝失敗,發生PERL模組找不到的錯誤

56 views
Skip to first unread message

long_sam.tw

unread,
Mar 12, 2008, 7:47:34 PM3/12/08
to 布丁布丁吃布丁, kohat...@googlegroups.com
你的以後直接 mail 到 kohat...@googlegroups.com



>照安裝手冊的順序以root身分執行./install.pl,可以看到中文說明畫面,並按yes繼續安裝。所遇到的錯誤依序敘述如下:
  1. 這途中會遇到ncftpget、ncftp找不到路徑的錯誤,我找不到也不知道要怎麼安裝這兩個套件
  2. 繼續安裝下去,最後總是以以下訊息做結

    遺失 PERL 模組

    你遺失一些Koha需億的Perl模組。安裝完後,
    請再執行一次。尋找你的作業系統支援的套件後,
    他們可能被安裝,或是執行接下來的命令 (需要 root
    身分):

    export LC_ALL=zh_TW.UTF-8
    perl -MCPAN -e 'install "DBI"'
    perl -MCPAN -e 'install "DBD::mysql"'
    perl -MCPAN -e 'install "Date::Calc"'
    perl -MCPAN -e 'install "ZOOM"'
    perl -MCPAN -e 'install "你將需要 PDF::API2
    用來產生條碼 (barcode)"'
    perl -MCPAN -e 'install "你將需要 Net::LDAP 假如你想要透過 LDAP
    認證讀者"'

  3. 執行上面的指令,perl安裝總是會出現以下錯誤訊息結束:

    Running make test
       Can't test without successful make
    Running make install
       make had returned bad status, install seems impossible
  4. 全部指令執行完畢之後再執行./install.pl安裝,最後還是「以遺失 PERL 模組」結束
==========================================================================
我的假設你可能 proxy 沒設定,如果有設定,請測試

apt-get update
或是
cpan -i DBI

龍山

___________________________________________________________________
付費才容量無上限?Yahoo!奇摩電子信箱2.0免費給你,信件永遠不必刪! - 馬上體驗

Thomas

unread,
Mar 12, 2008, 11:00:03 PM3/12/08
to kohat...@googlegroups.com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

long_sam.tw 提到:


| 你的以後直接 mail 到 kohat...@googlegroups.com
|
|
|
| >照安裝手冊的順序以root身分執行./install.pl,可以看到中文說明畫面,並按
| yes繼續安裝。所遇到的錯誤依序敘述如下:
|

| 1. 這途中會遇到ncftpget、ncftp找不到路徑的錯誤,我找不到也不知道要怎
| 麼安裝這兩個套件
apt-get install ncftp
also recommend you install lwp
apt-get install libwww-perl
| 2. 繼續安裝下去,最後總是以以下訊息做結


|
| 遺失 PERL 模組
|
| 你遺失一些Koha需億的Perl模組。安裝完後,
| 請再執行一次。尋找你的作業系統支援的套件後,
| 他們可能被安裝,或是執行接下來的命令 (需要 root
| 身分):
|
| export LC_ALL=zh_TW.UTF-8
| perl -MCPAN -e 'install "DBI"'
| perl -MCPAN -e 'install "DBD::mysql"'
| perl -MCPAN -e 'install "Date::Calc"'
| perl -MCPAN -e 'install "ZOOM"'
| perl -MCPAN -e 'install "你將需要 PDF::API2
| 用來產生條碼 (barcode)"'
| perl -MCPAN -e 'install "你將需要 Net::LDAP 假如你想要透過 LDAP
| 認證讀者"'
|
|

| 3. 執行上面的指令,perl安裝總是會出現以下錯誤訊息結束:
你可以先找有沒有別人build好的binary deb
以DBI為例
apt-cache search libdbi perl
就會找到
libdbi-perl - Perl5 database interface by Tim Bunce
你就可以
apt-get install libdbi-perl
以此類推...
沒有的部份在自己用 cpan 去抓
很多學校都有perl cpan 的 mirror
你可以找一下 這樣比較快~~ ^^
good luck


|
| Running make test
| Can't test without successful make
| Running make install
| make had returned bad status, install seems impossible
|

| 4. 全部指令執行完畢之後再執行./install.pl安裝,最後還是「以遺失 PERL


| 模組」結束
|
| ==========================================================================
| 我的假設你可能 proxy 沒設定,如果有設定,請測試
|
| apt-get update
| 或是
| cpan -i DBI
|
| 龍山
|
| ___________________________________________________________________

| 付費才容量無上限?Yahoo!奇摩電子信箱2.0免費給你,信件永遠不必刪! - *馬
| 上體驗*
|
<http://tw.rd.yahoo.com/referurl/mail/mail20/tag_hot0103/*http://tw.mg0.mail.yahoo.com/dc/landing>!
| |


- --
Thomas 育欽
tlinux.tsai at gmail.com
http://www.my-net.idv.tw/~thomas/
pub key 46379ACF
fingerprint = 7BB2 2103 CADC 59F6 11D5 BCB3 5E97 22B4 4637 9ACF
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFH2JizXpcitEY3ms8RAi3NAJ45/KtY5Xu4DARRtNF5k56iUnLDJgCg3DIP
waye1o71hU79yvIUZD0E9iY=
=cK0o
-----END PGP SIGNATURE-----

pudding...@gmail.com

unread,
Mar 25, 2008, 9:33:02 PM3/25/08
to Koha 臺灣
您好:

繼之前安裝失敗「遺失 PERL 模組」的問題
我是使用ubuntu-6.10-dvd-i386安裝Desktop來執行

龍山學長建議我檢查proxy跟測試「apt-get update」或是「cpan -i DBI」指令

* proxy應該是有連接,我可以直接在命令列用wget ftp://ftp.ncu.edu.tw/CPAN/README下載檔案
* apt-get update讀取套件清單完成,沒有顯示錯誤訊息

執行cpan -i DBI的時候出現錯誤訊息

Fetching with LWP:
ftp://ftp.ncu.edu.tw/CPAN/authors/id/T/TI/TIME/DBI-1.604.tar.gz
LWP failed with code[404] message[Files 'DBI-1.604.tar.gz' not found]

用Firefox到ftp.ncu.edu.tw也找不到「DBI-1.604.tar.gz」檔案
接下來就會接連出現找不到該檔案的錯誤訊息

----------------------

之後在執行koha的install.pl的過程中,也出現以下錯誤訊息:

--21:07:44-- ftp://ftp.ncu.edu.tw/CPAN/authors/id/T/TI/TIMB/DBI-1.604.tar.gz
正在連接 ftp.ncu.edu.tw|140.115.1.71|:21...連上了。
以anonymous的身分登入...

伺服器回應錯誤,關閉控制連線。
重試中。

.......

Please check, if the URLs I found in your configuration file
(ftp://ftp.ncu.edu.tw/CPAN/) are valid. The urllist can be edited.
E.g. with 'o conf urllist push ftp://myurl/'


----------------------

接著我嘗試修改urllist
用locate Config.pm找到安裝位置在「/etc/perl/CPAN/Config.pm」
再用vim修改裡面的urllist

改用的是ftp://cpan.pair.com/
裡面該位置有DBI-1.604.tar.gz

再重新執行cpan -i DBI,就能夠順利安裝
安裝完畢之後再執行同個指令,顯示訊息「DBI is up to date.」,所以我想應該是沒有問題

----------------------

再執行koha的install.pl
最後仍然失敗在「遺失 PERL 模組」
但是錯誤訊息減少了,如下:

遺失 PERL 模組

你遺失一些Koha需億的Perl模組。安裝完後,
請再執行一次。尋找你的作業系統支援的套件後,
他們可能被安裝,或是執行接下來的命令 (需要 root
身分):

export LC_ALL=zh_TW.UTF-8
perl -MCPAN -e 'install "ZOOM"'
perl -MCPAN -e 'install "你將需要 Net::LDAP 假如你想要透過 LDAP
認證讀者"'


----------------------------

接著依序執行上述指令:

export LC_ALL=zh_TW.UTF-8

沒有顯示訊息

perl -MCPAN -e 'install "ZOOM"'

中間很多測試錯誤

最後的報告如下
Test Summary Report
-------------------------
t/12-query.t (Wstat: 65280 Tests: 17 Failed: 0)
Non-zero exit status: 255
Parse errors: Bad plan. You planned 41 tests but ran 17.
t/22-query.t (Wstat: 65280 Tests: 16 Failed: 0)
Non-zero exit status: 255
Parse errors: Bad plan. You planned 41 tests but ran 16.
Files=22, Tests=665, 84 wallclock secs ( 0.25 usr 0.87 sys + 3.81 cusr
1.89 csys = 6.82CPU)
Result: FAIL
Failed 2/22 test programs, 0/665 subtests failed.
make: *** [test_dynamic] Error 255
/usr/bin/make test -- NOT OK
Running make install
make test had returned bad statusm won't install without force

perl -MCPAN -e 'install "Net::LDAP"'


中間看起來有幾個是遺失的
[SASL authentication]
.....
- GSSAPI ...missing
==> Auto-install the 1 optional module(s) from CPAN? [n] (我就直接enter)

[LDAPS]
- IO::Socket::SSL ...missing. (would need 0.81)
==> Auto-install the 1 optional module(s) from CPAN? [n] (我就直接enter)

最後看起來沒有錯誤訊息

----------------------------------

接著重新執行KOHA的install.pl,會出現一樣的「遺失 PERL 模組」

請問我該怎麼辦好呢?

On 3月13日, 上午7時47分, "long_sam.tw" <long_sam...@yahoo.com.tw> wrote:
> 你的以後直接 mail 到 kohat...@googlegroups.com
>
> >照安裝手冊的順序以root身分執行./install.pl,可以看到中文說明畫面,並按yes繼續安裝。所遇到的錯誤依序敘述如下:
>
> 這途中會遇到ncftpget、ncftp找不到路徑的錯誤,我找不到也不知道要怎麼安裝這兩個套件繼續安裝下去,最後總是以以下訊息做結
>
> 遺失 PERL 模組
>
> 你遺失一些Koha需億的Perl模組。安裝完後,
> 請再執行一次。尋找你的作業系統支援的套件後,
> 他們可能被安裝,或是執行接下來的命令 (需要 root
> 身分):
>
> export LC_ALL=zh_TW.UTF-8
> perl -MCPAN -e 'install "DBI"'
> perl -MCPAN -e 'install "DBD::mysql"'
> perl -MCPAN -e 'install "Date::Calc"'
> perl -MCPAN -e 'install "ZOOM"'
> perl -MCPAN -e 'install "你將需要 PDF::API2
> 用來產生條碼 (barcode)"'
> perl -MCPAN -e 'install "你將需要 Net::LDAP 假如你想要透過 LDAP
> 認證讀者"'
>
> 執行上面的指令,perl安裝總是會出現以下錯誤訊息結束:
>
> Running make test
> Can't test without successful make
> Running make install
> make had returned bad status, install seems impossible全部指令執行完畢之後再執行./install.pl安裝,最後還是「以遺失 PERL 模組」結束==========================================================================
> 我的假設你可能 proxy 沒設定,如果有設定,請測試
>
> apt-get update
> 或是
> cpan -i DBI
>
> 龍山
>
> ______________________________________________________________________________________________________
> 付費才容量無上限?Yahoo!奇摩電子信箱2.0免費給你,信件永遠不必刪!http://tw.mg0.mail.yahoo.com/dc/landing

Thomas

unread,
Mar 26, 2008, 4:38:47 AM3/26/08
to kohat...@googlegroups.com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


你可能要設定 cpan 的 http or ftp proxy
找一個檔案 MyConfig.pm
例如我的是在
vi /home/thomas/.cpan/CPAN/MyConfig.pm

填入你的 proxy 例如
'http_proxy' => q[http://www-proxy.us.oracle.com:80/],

另外也可試試看這個的做法 (我沒試過)
http://plog.longwin.com.tw/my_note-unix/2008/03/05/debian_linux_perl_cpan_newbie_2008

Thomas

pudding...@gmail.com 提到:

按yes繼續安裝。所遇到的錯誤依序敘述如下:
|> 這途中會遇到ncftpget、ncftp找不到路徑的錯誤,我找不到也不知道要怎麼安

裝這兩個套件繼續安裝下去,最後總是以以下訊息做結
|>
|> 遺失 PERL 模組
|>
|> 你遺失一些Koha需億的Perl模組。安裝完後,
|> 請再執行一次。尋找你的作業系統支援的套件後,
|> 他們可能被安裝,或是執行接下來的命令 (需要 root
|> 身分):
|>
|> export LC_ALL=zh_TW.UTF-8
|> perl -MCPAN -e 'install "DBI"'
|> perl -MCPAN -e 'install "DBD::mysql"'
|> perl -MCPAN -e 'install "Date::Calc"'
|> perl -MCPAN -e 'install "ZOOM"'
|> perl -MCPAN -e 'install "你將需要 PDF::API2
|> 用來產生條碼 (barcode)"'
|> perl -MCPAN -e 'install "你將需要 Net::LDAP 假如你想要透過 LDAP
|> 認證讀者"'
|>
|> 執行上面的指令,perl安裝總是會出現以下錯誤訊息結束:
|>
|> Running make test
|> Can't test without successful make
|> Running make install

|> make had returned bad status, install seems impossible全部指令執行
完畢之後再執行./install.pl安裝,最後還是「以遺失 PERL 模組」結束========
==================================================================

|> 我的假設你可能 proxy 沒設定,如果有設定,請測試
|>
|> apt-get update
|> 或是
|> cpan -i DBI
|>
|> 龍山
|>
|>
______________________________________________________________________________________________________
|> 付費才容量無上限?Yahoo!奇摩電子信箱2.0免費給你,信件永遠不必刪!
http://tw.mg0.mail.yahoo.com/dc/landing
| |

- --
Thomas 育欽
tlinux.tsai at gmail.com
http://www.my-net.idv.tw/~thomas/
pub key 46379ACF
fingerprint = 7BB2 2103 CADC 59F6 11D5 BCB3 5E97 22B4 4637 9ACF
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFH6guWXpcitEY3ms8RAm8iAKDrXfk/aJgkfgWhslBo5PUNrbTW0gCeOYB+
MmWQxuZeAKnPHgXzykh0JQI=
=XixG
-----END PGP SIGNATURE-----

long_sam.tw

unread,
Mar 26, 2008, 6:04:11 AM3/26/08
to kohat...@googlegroups.com

| 安裝完畢之後再執行同個指令,顯示訊息「DBI is up to date.」,所以我想應
|該是沒有問題

這樣表示您使用 cpan 安裝 perl module ok,皆下來應該是您安裝
ZOOM & Net::LDAP module 有些問題。

麻煩您把 /etc/apt/sources.list 張貼出來。

因為安裝 ZOOM 需要安裝 libyaz ..等套件。

因為我不清楚你使用的 Koha 版本,不過看訊息,應該是
我之前打包的其中一個版本。

這是之前釋出 Koha rel_2_2 最新的版本
http://kohataiwan.googlecode.com/files/koha229-20080131.tgz
你可以試試看。

pudding...@gmail.com

unread,
Mar 26, 2008, 3:08:58 PM3/26/08
to Koha 臺灣
On 3月26日, 下午6時04分, "long_sam.tw" <long_sam...@yahoo.com.tw> wrote:
> | 安裝完畢之後再執行同個指令,顯示訊息「DBI is up to date.」,所以我想應
> |該是沒有問題
>
> 這樣表示您使用 cpan 安裝 perl module ok,皆下來應該是您安裝
> ZOOM & Net::LDAP module 有些問題。

使用最新版本koha229-20080131安裝時出現一樣的狀況
我這次改在進入cpan裡面install

Net::LDAP模組順利安裝
但是ZOOM模組還是安裝失敗

我把發生錯誤的訊息節錄如下:
======================
/usr/bin/ld: cannot find -lgcrypt
collect2: ld returned 1 exit status
make: *** [blib/arch/auto/Net/Z3950/ZOOM/ZOOM.so] Error 1
MIRK/Net-Z3950-ZOOM-1.21.tar.gz
/usr/bin/make -- NOT OK
Running make test
Can't test without successful make
Running make install
Make had returned bad status, install seems impossible
Failed during this command:
MIRK/Net-Z3950-ZOOM-1.21.tar.gz : make NO
======================

我以為是gcrypt沒有安裝
不過用i /gcrypt/找到的五項也都會install失敗
五項列於下

=======================
Database was generated on Tue, 25 Mar 2008 04:31:00 GMT
Distribution AAR/Crypt-GCrypt-1.20.tar.gz
Distribution ROBBE/gcrypt-0.3.tar.gz
Module Authen::Passphrase::BigCrypt (ZEFRAM/Authen-
Passphrase-0.005.tar.gz)
Module Crypt::GCrypt (AAR/Crypt-GCrypt-1.20.tar.gz)
Module GCrypt (ROBBE/gcrypt-0.3.tar.gz)
5 items found
=======================

最後我還是不知道export LC_ALL=zh_TW.UTF-8 該怎麼解決的好

如果用locale來查詢,會出現以下訊息
=======================
LANG=zh_TW.UTF-8
LANGUAGE=zh_TW:zh
LC_CTYPE="zh_TW.UTF-8"
LC_NUMERIC="zh_TW.UTF-8"
LC_TIME="zh_TW.UTF-8"
LC_COLLATE="zh_TW.UTF-8"
LC_MONETARY="zh_TW.UTF-8"
LC_MESSAGES="zh_TW.UTF-8"
LC_PAPER="zh_TW.UTF-8"
LC_NAME="zh_TW.UTF-8"
LC_ADDRESS="zh_TW.UTF-8"
LC_TELEPHONE="zh_TW.UTF-8"
LC_MEASUREMENT="zh_TW.UTF-8"
LC_IDENTIFICATION="zh_TW.UTF-8"
LC_ALL=zh_TW.UTF-8
=========================

/root/.bashrc跟使用者家目錄的.bashrc都加上了export LC_ALL=zh_TW.UTF-8
而且也reboot好幾次了,還是不知道問題出在哪裡

>
> 這是之前釋出 Koha rel_2_2 最新的版本http://kohataiwan.googlecode.com/files/koha229-20080131.tgz
> 你可以試試看。
>
> 龍山
>

long_sam.tw

unread,
Mar 26, 2008, 11:12:50 PM3/26/08
to kohat...@googlegroups.com
請問您使用何種作業系統,
網路環境為何?

pudding...@gmail.com

unread,
Mar 27, 2008, 12:10:02 AM3/27/08
to Koha 臺灣
我目前使用的是在VirtualBox 1.5.6裡面安裝debian-40r3-i386-businesscard.iso
(WindowsXP Host, Debian Guest)
在debian裡面設靜態IP 140.119.61.153,同一台的WinXP Host也可以ping到debian,但是遠一點的電腦就
ping不到(宿舍這邊)
在debian裡面可以ping到www.google.com.tw,也可以ping到同網段下的電腦(140.119.61.147)

網路環境是政大的學術網路
政大設Proxy是用自動組態 http://www.nccu.edu.tw/autoproxy.pac
pac檔裡面看起來有很多proxy位置,我打算去問問看計中的人員該設哪個好

感謝!

long_sam.tw

unread,
Mar 27, 2008, 5:16:34 AM3/27/08
to kohat...@googlegroups.com
>我目前使用的是在VirtualBox 1.5.6裡面安裝debian-40r3-i386-businesscard.iso
>(WindowsXP Host, Debian Guest)
>在debian裡面設靜態IP 140.119.61.153,同一台的WinXP Host也可以ping到debian,但是遠一點的電腦就
>ping不到(宿舍這邊)
>在debian裡面可以ping到www.google.com.tw,也可以ping到同網段下的電腦(140.119.61.147)


關於你所說 VirtualBox,我之前用過。別的機器無法 ping
你的 Virtual machine,是因為 VM 網路預設為 NAT mode,
你必須使用 bridge mode。

http://www.virtualbox.org/wiki/Advanced_Networking_Linux

>網路環境是政大的學術網路
>政大設Proxy是用自動組態 http://www.nccu.edu.tw/autoproxy.pac
>pac檔裡面看起來有很多proxy位置,我打算去問問看計中的人員該設哪個好

route -n -e or netstat -r -n

看看 gateway 和 host 一致,那麼應該可以相通。

假設 host 140.119.22.22 -> ping 到 140.119.61.0/24 有相通
接著把 VM 和 host 140.119.22.0/24 bridge 起來。那樣 VM 就
可以 ping 140.119.61.147

pudding...@gmail.com

unread,
Apr 1, 2008, 1:29:00 PM4/1/08
to Koha 臺灣
On 3月27日, 下午5時16分, "long_sam.tw" <long_sam...@yahoo.com.tw> wrote:
> 關於你所說 VirtualBox,我之前用過。別的機器無法 ping
> 你的 Virtual machine,是因為 VM 網路預設為 NAT mode,
> 你必須使用 bridge mode。
>
> http://www.virtualbox.org/wiki/Advanced_Networking_Linux

bridge設定應該是沒問題的。

我設了跟Host OS不同的獨立的IP(140.119.61.150),請外面的人ping也ping的到

>
> route -n -e or netstat -r -n
>
> 看看 gateway 和 host 一致,那麼應該可以相通。

相同,都是140.119.61.254
這是政大校園的Gateway

> 假設 host 140.119.22.22 -> ping 到 140.119.61.0/24 有相通
> 接著把 VM 和 host 140.119.22.0/24 bridge 起來。那樣 VM 就
> 可以 ping 140.119.61.147
> 龍山

可以ping 到,設了DNS之後連ping www.google.com.tw都ping得到

現在安裝Koha出現的問題依然是「遺失PERL模組」

========================================================
遺失 PERL模組

你遺失一些Koha需要的Perl模組。安裝完後,請再執行一次。尋找你的作業系統支援的套件,他們可能被安裝或是執行接下來的命令(需要root身
分):

export LC_ALL=zh_TW.UTF-8

perl -MCPAN -e 'install "ZOOM"'
========================================================

long_sam.tw

unread,
Apr 1, 2008, 10:02:31 PM4/1/08
to kohat...@googlegroups.com

>export LC_ALL=zh_TW.UTF-8

>perl -MCPAN -e 'install "ZOOM"'

直接用 cpan zoom 或是 cpanplus
如果安裝有問題,可能是 libyaz 沒有
安裝正確版本。

http://search.cpan.org/~mirk/Net-Z3950-ZOOM-1.21/lib/ZOOM.pod
可以看看 Makefile.PL

Net-Z3950-ZOOM-1.21 trace yaz 2.1.50
如果你的 yaz 不是 2.1.50 就無法安裝。

可以直接使用
deb http://ftp.indexdata.dk/debian indexdata/sarge released
apt-get install libyaz3 yaz libyaz libyaz-dev yaz-doc

也可以直接下載 http://www.indexdata.dk/yaz/

pudding...@gmail.com

unread,
Apr 2, 2008, 1:43:20 AM4/2/08
to Koha 臺灣
On 4月2日, 上午10時02分, "long_sam.tw" <long_sam...@yahoo.com.tw> wrote:
> Net-Z3950-ZOOM-1.21 trace yaz 2.1.50
> 如果你的 yaz 不是 2.1.50 就無法安裝。
>
> 可以直接使用
> debhttp://ftp.indexdata.dk/debianindexdata/sarge released
> apt-get install libyaz3 yaz libyaz libyaz-dev yaz-doc
>
> 也可以直接下載http://www.indexdata.dk/yaz/
>
> 龍山

我用root輸入了apt-get install libyaz3 yaz libyaz libyaz-dev yaz-doc
訊息顯示libyaz3 yaz libyaz libyaz-dev yaz-doc都已經是最新版本了。

用Synaptic套件管理程式查看版本編號
libyaz3 3.0.26-1
libyaz 2.156-1
libyaz-dev 2.156-1
yaz 3.0.26-1
yaz-doc 3.0.26-1

看來是我yaz版本過新了?
來想辦法降級好了...

freesoftware

unread,
Apr 8, 2008, 4:11:08 AM4/8/08
to Koha 臺灣


On 3月27日, 上午3時08分, "puddingchen...@gmail.com"
<puddingchen...@gmail.com> wrote:
> On 3月26日, 下午6時04分, "long_sam.tw" <long_sam...@yahoo.com.tw> wrote:
>
> > | 安裝完畢之後再執行同個指令,顯示訊息「DBI is up to date.」,所以我想應
> > |該是沒有問題
>
> > 這樣表示您使用 cpan 安裝 perl module ok,皆下來應該是您安裝
> > ZOOM & Net::LDAP module 有些問題。
>
> 使用最新版本koha229-20080131安裝時出現一樣的狀況
> 我這次改在進入cpan裡面install
>
> Net::LDAP模組順利安裝
> 但是ZOOM模組還是安裝失敗
>
> 我把發生錯誤的訊息節錄如下:
> ======================
> /usr/bin/ld: cannot find -lgcrypt
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
apt-get install libgcrypt11-dev

and then zoom could ask you to install libgdbm-dev,
similarly, apt-get install libgdbm-dev

try it,



Reply all
Reply to author
Forward
0 new messages